Core APIReferenceVaultsSlug
/vaults/{slug}/composition-history
Get historical vault composition by slug for the given date range. Returns daily snapshots of asset allocation across all chains, including liquid assets, off-chain value, and yield assets.
Get historical vault composition by slug for the given date range. Returns daily snapshots of asset allocation across all chains, including liquid assets, off-chain value, and yield assets.
Path Parameters
slug*string
Unique slug identifier for the vault.
Length
1 <= lengthQuery Parameters
startDate?|
Unix timestamp in seconds
endDate?|
Unix timestamp in seconds
Default
1787560960order?string
Ordering for history arrays. desc returns newest first. asc returns oldest first.
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/vaults/nest-alpha-vault/composition-history"{ "data": { "vaultAddress": "string", "history": [ { "day": 0, "totalValue": 0, "liquidAssets": { "totalValue": 0, "weight": 0, "assets": [ { "assetAddress": "string", "chainId": 0, "value": 0 } ] }, "offChainValue": 0, "yieldAssets": [ { "slug": "string", "totalValue": 0, "weight": 0, "tokens": [ { "tokenAddress": "string", "chainId": 0, "isPending": true, "balance": 0, "price": 0, "value": 0 } ] } ] } ] }}